.join-us {
  padding-top: 60px;
  text-align: center;
  background-color: white;
}

.only-mobile {
  display: block;
}

.only-tablet,
.only-desktop,
.without-mobile {
  display: none;
}

.join-us-header {
  text-align: center;
  padding: 80px 20px 40px;
}

.join-us-header h1 {
  font-size: var(--font-h3);
  font-weight: var(--font-weight-bold);
  margin-bottom: 16px;
}

.join-us-header p {
  font-size: var(--font-b2);
  color: #6c6c6c;
  line-height: 1.41;
}

.filter-section {
  position: relative;
  text-align: start;
  padding: 0 20px;
}

.join-us-dropdown-container {
  position: relative;
  display: inline-block;
}

.join-us-dropdown-button {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 169px;
  height: 44px;
  padding: 0 23px;
  background: white;
  border: 1px solid #e2e2e2;
  border-radius: 100px;
  cursor: pointer;
  font-size: var(--font-b3);
  font-weight: var(--font-weight-semibold);
  color: #000;
  min-width: 160px;

  transition: all 0.2s;
}

.join-us-dropdown-button.active .dropdown-arrow {
  transform: rotate(180deg);
}

.join-us-dropdown-menu {
  position: absolute;
  width: 169px;
  top: 53px;
  left: 0;
  padding: 11px 0;
  border-radius: 12px;
  box-shadow: 0px 0px 10.2px 0px #0000001a;
  backdrop-filter: blur(25.7px);
  -webkit-backdrop-filter: blur(25.7px);
  opacity: 0;
  visibility: hidden;
  transform: translateY(-10px);
  transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
  z-index: 1;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.join-us-dropdown-menu.active {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.join-us-dropdown-item {
  cursor: pointer;
  width: 100%;
  text-align: center;
  font-size: var(--font-b3);
  padding: 11px 0;
  line-height: 1.2;
  font-weight: var(--font-weight-semibold);
}

.join-us-dropdown-item:hover {
  color: #5f5f5f;
}

.join-us-dropdown-item.active {
  color: #5f5f5f;
}

.jobs-container {
  padding: 16px 20px 120px;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.category-section {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.category-title {
  font-size: var(--font-b1);
  font-weight: 700;
  text-align: start;
}

.job-list {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.job-card {
  height: 196px;
  background: rgba(246, 248, 251, 1);
  border-radius: 16px;
  padding: 40px 37px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  cursor: pointer;
  gap: 24px;
  transition: all 0.3s;
}

.job-card:hover {
  transform: translateY(-2px);
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08);
}

.job-info {
  text-align: start;
}

.job-info h3 {
  font-size: var(--font-b1);
  font-weight: var(--font-weight-bold);
  margin-bottom: 8px;
  color: #000;
}

.job-meta {
  display: flex;
  gap: 8px;
  font-size: var(--font-b4);
  line-height: 1.2;
  color: #6c6c6c;
}

.job-meta span:not(:last-child)::after {
  content: "·";
  margin-left: 8px;
}

.job-arrow {
  display: flex;
  justify-content: flex-end;
  width: 100%;
}

@media (min-width: 800px) {
  .only-mobile,
  .only-desktop {
    display: none;
  }

  .without-mobile,
  .only-tablet {
    display: block;
  }

  .job-card {
    height: 131px;
    padding: 40px;
    flex-direction: row;
    gap: 0;
  }

  .job-info {
    display: flex;
    flex-direction: column;
    flex: 1;
  }

  .job-arrow {
    width: max-content;
  }

  .jobs-container {
    gap: 60px;
  }
}
@media (min-width: 1280px) {
  .only-mobile,
  .only-tablet {
    display: none;
  }

  .without-mobile,
  .only-desktop {
    display: block;
  }
  .join-us-inner {
    margin: 0 auto;
    max-width: 1240px;
  }

  .jobs-container {
    padding: 36px 20px 120px;
  }
}
